using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace CellStyleSelector_WPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			GridViewDataColumn column = new GridViewDataColumn();
			column.DataMemberBinding = new Binding("StadiumCapacity");
			column.CellStyleSelector = (StyleSelector)this.Resources["stadiumCapacityStyle"];

			this.clubsGrid.Columns.Add(column);
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			GridViewDataColumn column = new GridViewDataColumn();
			column.DataMemberBinding = new Binding("Name");
			//This Style will be applied according to the values of the StadiumCapacity for an item.
			column.CellStyleSelector = (StyleSelector)this.Resources["stadiumCapacityStyle"];

			this.clubsGrid.Columns.Add(column);
		}
	}
}
